Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network137.2.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
137.2.0.0
Broadcast address
137.3.255.255
First usable
137.2.0.1
Last usable
137.3.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
B (default /16)
As numbers
Hex 89020000 · Integer 2298609664 to 2298740735
Reverse DNS zones
2.137.in-addr.arpa
3.137.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10001001.00000010.00000000.00000000137.2.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network10001001.00000010.00000000.00000000137.2.0.0
Broadcast10001001.00000011.11111111.11111111137.3.255.255
Split into smaller subnets/25

137.2.0.0/15 makes 1,024 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1137.2.0.0/25137.2.0.1 to 137.2.0.126137.2.0.127126
2137.2.0.128/25137.2.0.129 to 137.2.0.254137.2.0.255126
3137.2.1.0/25137.2.1.1 to 137.2.1.126137.2.1.127126
4137.2.1.128/25137.2.1.129 to 137.2.1.254137.2.1.255126
5137.2.2.0/25137.2.2.1 to 137.2.2.126137.2.2.127126
6137.2.2.128/25137.2.2.129 to 137.2.2.254137.2.2.255126
7137.2.3.0/25137.2.3.1 to 137.2.3.126137.2.3.127126
8137.2.3.128/25137.2.3.129 to 137.2.3.254137.2.3.255126
9137.2.4.0/25137.2.4.1 to 137.2.4.126137.2.4.127126
10137.2.4.128/25137.2.4.129 to 137.2.4.254137.2.4.255126
11137.2.5.0/25137.2.5.1 to 137.2.5.126137.2.5.127126
12137.2.5.128/25137.2.5.129 to 137.2.5.254137.2.5.255126
13137.2.6.0/25137.2.6.1 to 137.2.6.126137.2.6.127126
14137.2.6.128/25137.2.6.129 to 137.2.6.254137.2.6.255126
15137.2.7.0/25137.2.7.1 to 137.2.7.126137.2.7.127126
16137.2.7.128/25137.2.7.129 to 137.2.7.254137.2.7.255126
17137.2.8.0/25137.2.8.1 to 137.2.8.126137.2.8.127126
18137.2.8.128/25137.2.8.129 to 137.2.8.254137.2.8.255126
19137.2.9.0/25137.2.9.1 to 137.2.9.126137.2.9.127126
20137.2.9.128/25137.2.9.129 to 137.2.9.254137.2.9.255126
21137.2.10.0/25137.2.10.1 to 137.2.10.126137.2.10.127126
22137.2.10.128/25137.2.10.129 to 137.2.10.254137.2.10.255126
23137.2.11.0/25137.2.11.1 to 137.2.11.126137.2.11.127126
24137.2.11.128/25137.2.11.129 to 137.2.11.254137.2.11.255126
25137.2.12.0/25137.2.12.1 to 137.2.12.126137.2.12.127126
26137.2.12.128/25137.2.12.129 to 137.2.12.254137.2.12.255126
27137.2.13.0/25137.2.13.1 to 137.2.13.126137.2.13.127126
28137.2.13.128/25137.2.13.129 to 137.2.13.254137.2.13.255126
29137.2.14.0/25137.2.14.1 to 137.2.14.126137.2.14.127126
30137.2.14.128/25137.2.14.129 to 137.2.14.254137.2.14.255126
31137.2.15.0/25137.2.15.1 to 137.2.15.126137.2.15.127126
32137.2.15.128/25137.2.15.129 to 137.2.15.254137.2.15.255126
33137.2.16.0/25137.2.16.1 to 137.2.16.126137.2.16.127126
34137.2.16.128/25137.2.16.129 to 137.2.16.254137.2.16.255126
35137.2.17.0/25137.2.17.1 to 137.2.17.126137.2.17.127126
36137.2.17.128/25137.2.17.129 to 137.2.17.254137.2.17.255126
37137.2.18.0/25137.2.18.1 to 137.2.18.126137.2.18.127126
38137.2.18.128/25137.2.18.129 to 137.2.18.254137.2.18.255126
39137.2.19.0/25137.2.19.1 to 137.2.19.126137.2.19.127126
40137.2.19.128/25137.2.19.129 to 137.2.19.254137.2.19.255126
41137.2.20.0/25137.2.20.1 to 137.2.20.126137.2.20.127126
42137.2.20.128/25137.2.20.129 to 137.2.20.254137.2.20.255126
43137.2.21.0/25137.2.21.1 to 137.2.21.126137.2.21.127126
44137.2.21.128/25137.2.21.129 to 137.2.21.254137.2.21.255126
45137.2.22.0/25137.2.22.1 to 137.2.22.126137.2.22.127126
46137.2.22.128/25137.2.22.129 to 137.2.22.254137.2.22.255126
47137.2.23.0/25137.2.23.1 to 137.2.23.126137.2.23.127126
48137.2.23.128/25137.2.23.129 to 137.2.23.254137.2.23.255126
49137.2.24.0/25137.2.24.1 to 137.2.24.126137.2.24.127126
50137.2.24.128/25137.2.24.129 to 137.2.24.254137.2.24.255126
51137.2.25.0/25137.2.25.1 to 137.2.25.126137.2.25.127126
52137.2.25.128/25137.2.25.129 to 137.2.25.254137.2.25.255126
53137.2.26.0/25137.2.26.1 to 137.2.26.126137.2.26.127126
54137.2.26.128/25137.2.26.129 to 137.2.26.254137.2.26.255126
55137.2.27.0/25137.2.27.1 to 137.2.27.126137.2.27.127126
56137.2.27.128/25137.2.27.129 to 137.2.27.254137.2.27.255126
57137.2.28.0/25137.2.28.1 to 137.2.28.126137.2.28.127126
58137.2.28.128/25137.2.28.129 to 137.2.28.254137.2.28.255126
59137.2.29.0/25137.2.29.1 to 137.2.29.126137.2.29.127126
60137.2.29.128/25137.2.29.129 to 137.2.29.254137.2.29.255126
61137.2.30.0/25137.2.30.1 to 137.2.30.126137.2.30.127126
62137.2.30.128/25137.2.30.129 to 137.2.30.254137.2.30.255126
63137.2.31.0/25137.2.31.1 to 137.2.31.126137.2.31.127126
64137.2.31.128/25137.2.31.129 to 137.2.31.254137.2.31.255126
65137.2.32.0/25137.2.32.1 to 137.2.32.126137.2.32.127126
66137.2.32.128/25137.2.32.129 to 137.2.32.254137.2.32.255126
67137.2.33.0/25137.2.33.1 to 137.2.33.126137.2.33.127126
68137.2.33.128/25137.2.33.129 to 137.2.33.254137.2.33.255126
69137.2.34.0/25137.2.34.1 to 137.2.34.126137.2.34.127126
70137.2.34.128/25137.2.34.129 to 137.2.34.254137.2.34.255126
71137.2.35.0/25137.2.35.1 to 137.2.35.126137.2.35.127126
72137.2.35.128/25137.2.35.129 to 137.2.35.254137.2.35.255126
73137.2.36.0/25137.2.36.1 to 137.2.36.126137.2.36.127126
74137.2.36.128/25137.2.36.129 to 137.2.36.254137.2.36.255126
75137.2.37.0/25137.2.37.1 to 137.2.37.126137.2.37.127126
76137.2.37.128/25137.2.37.129 to 137.2.37.254137.2.37.255126
77137.2.38.0/25137.2.38.1 to 137.2.38.126137.2.38.127126
78137.2.38.128/25137.2.38.129 to 137.2.38.254137.2.38.255126
79137.2.39.0/25137.2.39.1 to 137.2.39.126137.2.39.127126
80137.2.39.128/25137.2.39.129 to 137.2.39.254137.2.39.255126
81137.2.40.0/25137.2.40.1 to 137.2.40.126137.2.40.127126
82137.2.40.128/25137.2.40.129 to 137.2.40.254137.2.40.255126
83137.2.41.0/25137.2.41.1 to 137.2.41.126137.2.41.127126
84137.2.41.128/25137.2.41.129 to 137.2.41.254137.2.41.255126
85137.2.42.0/25137.2.42.1 to 137.2.42.126137.2.42.127126
86137.2.42.128/25137.2.42.129 to 137.2.42.254137.2.42.255126
87137.2.43.0/25137.2.43.1 to 137.2.43.126137.2.43.127126
88137.2.43.128/25137.2.43.129 to 137.2.43.254137.2.43.255126
89137.2.44.0/25137.2.44.1 to 137.2.44.126137.2.44.127126
90137.2.44.128/25137.2.44.129 to 137.2.44.254137.2.44.255126
91137.2.45.0/25137.2.45.1 to 137.2.45.126137.2.45.127126
92137.2.45.128/25137.2.45.129 to 137.2.45.254137.2.45.255126
93137.2.46.0/25137.2.46.1 to 137.2.46.126137.2.46.127126
94137.2.46.128/25137.2.46.129 to 137.2.46.254137.2.46.255126
95137.2.47.0/25137.2.47.1 to 137.2.47.126137.2.47.127126
96137.2.47.128/25137.2.47.129 to 137.2.47.254137.2.47.255126
97137.2.48.0/25137.2.48.1 to 137.2.48.126137.2.48.127126
98137.2.48.128/25137.2.48.129 to 137.2.48.254137.2.48.255126
99137.2.49.0/25137.2.49.1 to 137.2.49.126137.2.49.127126
100137.2.49.128/25137.2.49.129 to 137.2.49.254137.2.49.255126
101137.2.50.0/25137.2.50.1 to 137.2.50.126137.2.50.127126
102137.2.50.128/25137.2.50.129 to 137.2.50.254137.2.50.255126
103137.2.51.0/25137.2.51.1 to 137.2.51.126137.2.51.127126
104137.2.51.128/25137.2.51.129 to 137.2.51.254137.2.51.255126
105137.2.52.0/25137.2.52.1 to 137.2.52.126137.2.52.127126
106137.2.52.128/25137.2.52.129 to 137.2.52.254137.2.52.255126
107137.2.53.0/25137.2.53.1 to 137.2.53.126137.2.53.127126
108137.2.53.128/25137.2.53.129 to 137.2.53.254137.2.53.255126
109137.2.54.0/25137.2.54.1 to 137.2.54.126137.2.54.127126
110137.2.54.128/25137.2.54.129 to 137.2.54.254137.2.54.255126
111137.2.55.0/25137.2.55.1 to 137.2.55.126137.2.55.127126
112137.2.55.128/25137.2.55.129 to 137.2.55.254137.2.55.255126
113137.2.56.0/25137.2.56.1 to 137.2.56.126137.2.56.127126
114137.2.56.128/25137.2.56.129 to 137.2.56.254137.2.56.255126
115137.2.57.0/25137.2.57.1 to 137.2.57.126137.2.57.127126
116137.2.57.128/25137.2.57.129 to 137.2.57.254137.2.57.255126
117137.2.58.0/25137.2.58.1 to 137.2.58.126137.2.58.127126
118137.2.58.128/25137.2.58.129 to 137.2.58.254137.2.58.255126
119137.2.59.0/25137.2.59.1 to 137.2.59.126137.2.59.127126
120137.2.59.128/25137.2.59.129 to 137.2.59.254137.2.59.255126
121137.2.60.0/25137.2.60.1 to 137.2.60.126137.2.60.127126
122137.2.60.128/25137.2.60.129 to 137.2.60.254137.2.60.255126
123137.2.61.0/25137.2.61.1 to 137.2.61.126137.2.61.127126
124137.2.61.128/25137.2.61.129 to 137.2.61.254137.2.61.255126
125137.2.62.0/25137.2.62.1 to 137.2.62.126137.2.62.127126
126137.2.62.128/25137.2.62.129 to 137.2.62.254137.2.62.255126
127137.2.63.0/25137.2.63.1 to 137.2.63.126137.2.63.127126
128137.2.63.128/25137.2.63.129 to 137.2.63.254137.2.63.255126
129137.2.64.0/25137.2.64.1 to 137.2.64.126137.2.64.127126
130137.2.64.128/25137.2.64.129 to 137.2.64.254137.2.64.255126
131137.2.65.0/25137.2.65.1 to 137.2.65.126137.2.65.127126
132137.2.65.128/25137.2.65.129 to 137.2.65.254137.2.65.255126
133137.2.66.0/25137.2.66.1 to 137.2.66.126137.2.66.127126
134137.2.66.128/25137.2.66.129 to 137.2.66.254137.2.66.255126
135137.2.67.0/25137.2.67.1 to 137.2.67.126137.2.67.127126
136137.2.67.128/25137.2.67.129 to 137.2.67.254137.2.67.255126
137137.2.68.0/25137.2.68.1 to 137.2.68.126137.2.68.127126
138137.2.68.128/25137.2.68.129 to 137.2.68.254137.2.68.255126
139137.2.69.0/25137.2.69.1 to 137.2.69.126137.2.69.127126
140137.2.69.128/25137.2.69.129 to 137.2.69.254137.2.69.255126
141137.2.70.0/25137.2.70.1 to 137.2.70.126137.2.70.127126
142137.2.70.128/25137.2.70.129 to 137.2.70.254137.2.70.255126
143137.2.71.0/25137.2.71.1 to 137.2.71.126137.2.71.127126
144137.2.71.128/25137.2.71.129 to 137.2.71.254137.2.71.255126
145137.2.72.0/25137.2.72.1 to 137.2.72.126137.2.72.127126
146137.2.72.128/25137.2.72.129 to 137.2.72.254137.2.72.255126
147137.2.73.0/25137.2.73.1 to 137.2.73.126137.2.73.127126
148137.2.73.128/25137.2.73.129 to 137.2.73.254137.2.73.255126
149137.2.74.0/25137.2.74.1 to 137.2.74.126137.2.74.127126
150137.2.74.128/25137.2.74.129 to 137.2.74.254137.2.74.255126
151137.2.75.0/25137.2.75.1 to 137.2.75.126137.2.75.127126
152137.2.75.128/25137.2.75.129 to 137.2.75.254137.2.75.255126
153137.2.76.0/25137.2.76.1 to 137.2.76.126137.2.76.127126
154137.2.76.128/25137.2.76.129 to 137.2.76.254137.2.76.255126
155137.2.77.0/25137.2.77.1 to 137.2.77.126137.2.77.127126
156137.2.77.128/25137.2.77.129 to 137.2.77.254137.2.77.255126
157137.2.78.0/25137.2.78.1 to 137.2.78.126137.2.78.127126
158137.2.78.128/25137.2.78.129 to 137.2.78.254137.2.78.255126
159137.2.79.0/25137.2.79.1 to 137.2.79.126137.2.79.127126
160137.2.79.128/25137.2.79.129 to 137.2.79.254137.2.79.255126
161137.2.80.0/25137.2.80.1 to 137.2.80.126137.2.80.127126
162137.2.80.128/25137.2.80.129 to 137.2.80.254137.2.80.255126
163137.2.81.0/25137.2.81.1 to 137.2.81.126137.2.81.127126
164137.2.81.128/25137.2.81.129 to 137.2.81.254137.2.81.255126
165137.2.82.0/25137.2.82.1 to 137.2.82.126137.2.82.127126
166137.2.82.128/25137.2.82.129 to 137.2.82.254137.2.82.255126
167137.2.83.0/25137.2.83.1 to 137.2.83.126137.2.83.127126
168137.2.83.128/25137.2.83.129 to 137.2.83.254137.2.83.255126
169137.2.84.0/25137.2.84.1 to 137.2.84.126137.2.84.127126
170137.2.84.128/25137.2.84.129 to 137.2.84.254137.2.84.255126
171137.2.85.0/25137.2.85.1 to 137.2.85.126137.2.85.127126
172137.2.85.128/25137.2.85.129 to 137.2.85.254137.2.85.255126
173137.2.86.0/25137.2.86.1 to 137.2.86.126137.2.86.127126
174137.2.86.128/25137.2.86.129 to 137.2.86.254137.2.86.255126
175137.2.87.0/25137.2.87.1 to 137.2.87.126137.2.87.127126
176137.2.87.128/25137.2.87.129 to 137.2.87.254137.2.87.255126
177137.2.88.0/25137.2.88.1 to 137.2.88.126137.2.88.127126
178137.2.88.128/25137.2.88.129 to 137.2.88.254137.2.88.255126
179137.2.89.0/25137.2.89.1 to 137.2.89.126137.2.89.127126
180137.2.89.128/25137.2.89.129 to 137.2.89.254137.2.89.255126
181137.2.90.0/25137.2.90.1 to 137.2.90.126137.2.90.127126
182137.2.90.128/25137.2.90.129 to 137.2.90.254137.2.90.255126
183137.2.91.0/25137.2.91.1 to 137.2.91.126137.2.91.127126
184137.2.91.128/25137.2.91.129 to 137.2.91.254137.2.91.255126
185137.2.92.0/25137.2.92.1 to 137.2.92.126137.2.92.127126
186137.2.92.128/25137.2.92.129 to 137.2.92.254137.2.92.255126
187137.2.93.0/25137.2.93.1 to 137.2.93.126137.2.93.127126
188137.2.93.128/25137.2.93.129 to 137.2.93.254137.2.93.255126
189137.2.94.0/25137.2.94.1 to 137.2.94.126137.2.94.127126
190137.2.94.128/25137.2.94.129 to 137.2.94.254137.2.94.255126
191137.2.95.0/25137.2.95.1 to 137.2.95.126137.2.95.127126
192137.2.95.128/25137.2.95.129 to 137.2.95.254137.2.95.255126
193137.2.96.0/25137.2.96.1 to 137.2.96.126137.2.96.127126
194137.2.96.128/25137.2.96.129 to 137.2.96.254137.2.96.255126
195137.2.97.0/25137.2.97.1 to 137.2.97.126137.2.97.127126
196137.2.97.128/25137.2.97.129 to 137.2.97.254137.2.97.255126
197137.2.98.0/25137.2.98.1 to 137.2.98.126137.2.98.127126
198137.2.98.128/25137.2.98.129 to 137.2.98.254137.2.98.255126
199137.2.99.0/25137.2.99.1 to 137.2.99.126137.2.99.127126
200137.2.99.128/25137.2.99.129 to 137.2.99.254137.2.99.255126
201137.2.100.0/25137.2.100.1 to 137.2.100.126137.2.100.127126
202137.2.100.128/25137.2.100.129 to 137.2.100.254137.2.100.255126
203137.2.101.0/25137.2.101.1 to 137.2.101.126137.2.101.127126
204137.2.101.128/25137.2.101.129 to 137.2.101.254137.2.101.255126
205137.2.102.0/25137.2.102.1 to 137.2.102.126137.2.102.127126
206137.2.102.128/25137.2.102.129 to 137.2.102.254137.2.102.255126
207137.2.103.0/25137.2.103.1 to 137.2.103.126137.2.103.127126
208137.2.103.128/25137.2.103.129 to 137.2.103.254137.2.103.255126
209137.2.104.0/25137.2.104.1 to 137.2.104.126137.2.104.127126
210137.2.104.128/25137.2.104.129 to 137.2.104.254137.2.104.255126
211137.2.105.0/25137.2.105.1 to 137.2.105.126137.2.105.127126
212137.2.105.128/25137.2.105.129 to 137.2.105.254137.2.105.255126
213137.2.106.0/25137.2.106.1 to 137.2.106.126137.2.106.127126
214137.2.106.128/25137.2.106.129 to 137.2.106.254137.2.106.255126
215137.2.107.0/25137.2.107.1 to 137.2.107.126137.2.107.127126
216137.2.107.128/25137.2.107.129 to 137.2.107.254137.2.107.255126
217137.2.108.0/25137.2.108.1 to 137.2.108.126137.2.108.127126
218137.2.108.128/25137.2.108.129 to 137.2.108.254137.2.108.255126
219137.2.109.0/25137.2.109.1 to 137.2.109.126137.2.109.127126
220137.2.109.128/25137.2.109.129 to 137.2.109.254137.2.109.255126
221137.2.110.0/25137.2.110.1 to 137.2.110.126137.2.110.127126
222137.2.110.128/25137.2.110.129 to 137.2.110.254137.2.110.255126
223137.2.111.0/25137.2.111.1 to 137.2.111.126137.2.111.127126
224137.2.111.128/25137.2.111.129 to 137.2.111.254137.2.111.255126
225137.2.112.0/25137.2.112.1 to 137.2.112.126137.2.112.127126
226137.2.112.128/25137.2.112.129 to 137.2.112.254137.2.112.255126
227137.2.113.0/25137.2.113.1 to 137.2.113.126137.2.113.127126
228137.2.113.128/25137.2.113.129 to 137.2.113.254137.2.113.255126
229137.2.114.0/25137.2.114.1 to 137.2.114.126137.2.114.127126
230137.2.114.128/25137.2.114.129 to 137.2.114.254137.2.114.255126
231137.2.115.0/25137.2.115.1 to 137.2.115.126137.2.115.127126
232137.2.115.128/25137.2.115.129 to 137.2.115.254137.2.115.255126
233137.2.116.0/25137.2.116.1 to 137.2.116.126137.2.116.127126
234137.2.116.128/25137.2.116.129 to 137.2.116.254137.2.116.255126
235137.2.117.0/25137.2.117.1 to 137.2.117.126137.2.117.127126
236137.2.117.128/25137.2.117.129 to 137.2.117.254137.2.117.255126
237137.2.118.0/25137.2.118.1 to 137.2.118.126137.2.118.127126
238137.2.118.128/25137.2.118.129 to 137.2.118.254137.2.118.255126
239137.2.119.0/25137.2.119.1 to 137.2.119.126137.2.119.127126
240137.2.119.128/25137.2.119.129 to 137.2.119.254137.2.119.255126
241137.2.120.0/25137.2.120.1 to 137.2.120.126137.2.120.127126
242137.2.120.128/25137.2.120.129 to 137.2.120.254137.2.120.255126
243137.2.121.0/25137.2.121.1 to 137.2.121.126137.2.121.127126
244137.2.121.128/25137.2.121.129 to 137.2.121.254137.2.121.255126
245137.2.122.0/25137.2.122.1 to 137.2.122.126137.2.122.127126
246137.2.122.128/25137.2.122.129 to 137.2.122.254137.2.122.255126
247137.2.123.0/25137.2.123.1 to 137.2.123.126137.2.123.127126
248137.2.123.128/25137.2.123.129 to 137.2.123.254137.2.123.255126
249137.2.124.0/25137.2.124.1 to 137.2.124.126137.2.124.127126
250137.2.124.128/25137.2.124.129 to 137.2.124.254137.2.124.255126
251137.2.125.0/25137.2.125.1 to 137.2.125.126137.2.125.127126
252137.2.125.128/25137.2.125.129 to 137.2.125.254137.2.125.255126
253137.2.126.0/25137.2.126.1 to 137.2.126.126137.2.126.127126
254137.2.126.128/25137.2.126.129 to 137.2.126.254137.2.126.255126
255137.2.127.0/25137.2.127.1 to 137.2.127.126137.2.127.127126
256137.2.127.128/25137.2.127.129 to 137.2.127.254137.2.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses